Toujours problème pour installer gcc !

Le
CoReY
Bonjour à tous,

Je tente toujours d'installer gcc et je n'y arrive toujours pas ! Je
suis débutant sous linux et j'ai quelque peu de mal ! J'ai donc
télécharger le rpm correspondant à ma version à l'adresse suivante
http://rpmfind.net/linux/rpm2html/search.php?query=gcc&submit=Search+&system=mandriva&arch=x86-64
Et lorsque je tente de l'installer j'obtiens:
/home/andre/Desktop/gcc-3.4.3-7mdk_4.0.1-5mdk.x86_64.delta.rpm: cannot
execute binary file
J'ai cherché sur le net et je n'ai pas trouvé de réponses à mon
interrogation.
Merci pour toutes vos réponses.
  • Partager ce contenu :
Vos réponses Page 1 / 3
Trier par : date / pertinence
Gary
Le #7945751
CoReY a écrit :
Bonjour à tous,

Je tente toujours d'installer gcc et je n'y arrive toujours pas ! Je
suis débutant sous linux et j'ai quelque peu de mal ! J'ai donc
télécharger le rpm correspondant à ma version à l'adresse suivante
http://rpmfind.net/linux/rpm2html/search.php?query=gcc&submit=Search+...&system=mandriva&arch=x86-64

Et lorsque je tente de l'installer j'obtiens:
/home/andre/Desktop/gcc-3.4.3-7mdk_4.0.1-5mdk.x86_64.delta.rpm: cannot
execute binary file
J'ai cherché sur le net et je n'ai pas trouvé de réponses à mon
interrogation.
Merci pour toutes vos réponses.



Bonjour,

Avez-vous configuré vos média sources d'installation avec easyurpmi ?
http://easyurpmi.zarb.org/?language=fr

La version delta sert à mettre à jour, je crois (uniquement le delta
entre deux versions).

Etant donné que gcc est un compileur très répandu, il devrait être sur
votre cd/dvd d'installation.

En cherchant un petit peu sur le ftp de free, je viens de trouver cela !
ftp://ftp.free.fr/pub/Distributions_Linux/MandrivaLinux/official/2006.0/x86_64/media/contrib/gcc3.3-3.3.6-2mdk.x86_64.rpm

Ce n'est pas la dernière version mais elle est adaptée au 64 bit =>
allez faire un tour sur easyurpmi et vous aurez presque tout.

Cordialement,
Gary
CoReY
Le #7945741
Gary a écrit :
CoReY a écrit :
Bonjour à tous,

Je tente toujours d'installer gcc et je n'y arrive toujours pas ! Je
suis débutant sous linux et j'ai quelque peu de mal ! J'ai donc
télécharger le rpm correspondant à ma version à l'adresse suivante
http://rpmfind.net/linux/rpm2html/search.php?query=gcc&submit=Search+...&system=mandriva&arch=x86-64

Et lorsque je tente de l'installer j'obtiens:
/home/andre/Desktop/gcc-3.4.3-7mdk_4.0.1-5mdk.x86_64.delta.rpm: cannot
execute binary file
J'ai cherché sur le net et je n'ai pas trouvé de réponses à mon
interrogation.
Merci pour toutes vos réponses.



Bonjour,

Avez-vous configuré vos média sources d'installation avec easyurpmi ?
http://easyurpmi.zarb.org/?language=fr

La version delta sert à mettre à jour, je crois (uniquement le delta
entre deux versions).

Etant donné que gcc est un compileur très répandu, il devrait être sur
votre cd/dvd d'installation.

En cherchant un petit peu sur le ftp de free, je viens de trouver cela !
ftp://ftp.free.fr/pub/Distributions_Linux/MandrivaLinux/official/2006.0/x86_64/media/contrib/gcc3.3-3.3.6-2mdk.x86_64.rpm


Ce n'est pas la dernière version mais elle est adaptée au 64 bit =>
allez faire un tour sur easyurpmi et vous aurez presque tout.

Cordialement,
Gary



Bonjour,

Alors j'ai mis mes sources à jour comme vous me l'avez dit et j'ai tapé:
[ ~]# urpmi gcc
Un des paquetages suivants est nécessaire :
1- kernel-source-2.6-2.6.12-22mdk.x86_64 : The source code for the
Linux kernel. (to install)
2- kernel-source-stripped-2.6-2.6.12-22mdk.x86_64 : The source code of
the Linux kernel stripped for post build. (to install)
3- kernel-multimedia-source-2.6.12-12.mm.3mdk.i586 : The source code
for the Linux kernel (to install)
4- kernel-source-2.6.12.23mdk-1-1mdk.x86_64 : The source code for the
Linux kernel. (to install)
5- kernel-source-stripped-2.6.12.23mdk-1-1mdk.x86_64 : The source code
of the Linux kernel stripped for post build. (to install)
Que choisissez-vous ? (1-5)

On m'a conseillé la dernière fois de choisir le 3 mais lorsque je le
choisis mon pc semble démarrer le processus (j'entends le disque dur et
le voyant du dd est allumé) mais finalement gcc n'est pas installé et l
dd ne s'arrête plus...voilà...
Gary
Le #7945731
CoReY a écrit :
Gary a écrit :
CoReY a écrit :
Bonjour à tous,

Je tente toujours d'installer gcc et je n'y arrive toujours pas ! Je
suis débutant sous linux et j'ai quelque peu de mal ! J'ai donc
télécharger le rpm correspondant à ma version à l'adresse suivante
http://rpmfind.net/linux/rpm2html/search.php?query=gcc&submit=Search+...&system=mandriva&arch=x86-64

Et lorsque je tente de l'installer j'obtiens:
/home/andre/Desktop/gcc-3.4.3-7mdk_4.0.1-5mdk.x86_64.delta.rpm:
cannot execute binary file
J'ai cherché sur le net et je n'ai pas trouvé de réponses à mon
interrogation.
Merci pour toutes vos réponses.



Bonjour,

Avez-vous configuré vos média sources d'installation avec easyurpmi ?
http://easyurpmi.zarb.org/?language=fr

La version delta sert à mettre à jour, je crois (uniquement le delta
entre deux versions).

Etant donné que gcc est un compileur très répandu, il devrait être sur
votre cd/dvd d'installation.

En cherchant un petit peu sur le ftp de free, je viens de trouver cela !
ftp://ftp.free.fr/pub/Distributions_Linux/MandrivaLinux/official/2006.0/x86_64/media/contrib/gcc3.3-3.3.6-2mdk.x86_64.rpm


Ce n'est pas la dernière version mais elle est adaptée au 64 bit =>
allez faire un tour sur easyurpmi et vous aurez presque tout.

Cordialement,
Gary



Bonjour,

Alors j'ai mis mes sources à jour comme vous me l'avez dit et j'ai tapé:
[ ~]# urpmi gcc
Un des paquetages suivants est nécessaire :
1- kernel-source-2.6-2.6.12-22mdk.x86_64 : The source code for the
Linux kernel. (to install)
2- kernel-source-stripped-2.6-2.6.12-22mdk.x86_64 : The source code of
the Linux kernel stripped for post build. (to install)
3- kernel-multimedia-source-2.6.12-12.mm.3mdk.i586 : The source code
for the Linux kernel (to install)
4- kernel-source-2.6.12.23mdk-1-1mdk.x86_64 : The source code for the
Linux kernel. (to install)
5- kernel-source-stripped-2.6.12.23mdk-1-1mdk.x86_64 : The source code
of the Linux kernel stripped for post build. (to install)
Que choisissez-vous ? (1-5)
On m'a conseillé la dernière fois de choisir le 3 mais lorsque je le
choisis mon pc semble démarrer le processus (j'entends le disque dur et
le voyant du dd est allumé) mais finalement gcc n'est pas installé et l
dd ne s'arrête plus...voilà...



Autant choisir le 1 ou le 4 (selon la version de votre kernel), ces
sources sont prévus en 64 bits et avez-vous réellement besoin de la
compilation multimedia ?
CoReY
Le #7945721
Gary a écrit :
CoReY a écrit :
Gary a écrit :
CoReY a écrit :
Bonjour à tous,

Je tente toujours d'installer gcc et je n'y arrive toujours pas ! Je
suis débutant sous linux et j'ai quelque peu de mal ! J'ai donc
télécharger le rpm correspondant à ma version à l'adresse suivante
http://rpmfind.net/linux/rpm2html/search.php?query=gcc&submit=Search+...&system=mandriva&arch=x86-64

Et lorsque je tente de l'installer j'obtiens:
/home/andre/Desktop/gcc-3.4.3-7mdk_4.0.1-5mdk.x86_64.delta.rpm:
cannot execute binary file
J'ai cherché sur le net et je n'ai pas trouvé de réponses à mon
interrogation.
Merci pour toutes vos réponses.



Bonjour,

Avez-vous configuré vos média sources d'installation avec easyurpmi ?
http://easyurpmi.zarb.org/?language=fr

La version delta sert à mettre à jour, je crois (uniquement le delta
entre deux versions).

Etant donné que gcc est un compileur très répandu, il devrait être
sur votre cd/dvd d'installation.

En cherchant un petit peu sur le ftp de free, je viens de trouver cela !
ftp://ftp.free.fr/pub/Distributions_Linux/MandrivaLinux/official/2006.0/x86_64/media/contrib/gcc3.3-3.3.6-2mdk.x86_64.rpm


Ce n'est pas la dernière version mais elle est adaptée au 64 bit =>
allez faire un tour sur easyurpmi et vous aurez presque tout.

Cordialement,
Gary



Bonjour,

Alors j'ai mis mes sources à jour comme vous me l'avez dit et j'ai
tapé: [ ~]# urpmi gcc
Un des paquetages suivants est nécessaire :
1- kernel-source-2.6-2.6.12-22mdk.x86_64 : The source code for the
Linux kernel. (to install)
2- kernel-source-stripped-2.6-2.6.12-22mdk.x86_64 : The source code
of the Linux kernel stripped for post build. (to install)
3- kernel-multimedia-source-2.6.12-12.mm.3mdk.i586 : The source code
for the Linux kernel (to install)
4- kernel-source-2.6.12.23mdk-1-1mdk.x86_64 : The source code for the
Linux kernel. (to install)
5- kernel-source-stripped-2.6.12.23mdk-1-1mdk.x86_64 : The source
code of the Linux kernel stripped for post build. (to install)
Que choisissez-vous ? (1-5)
On m'a conseillé la dernière fois de choisir le 3 mais lorsque je le
choisis mon pc semble démarrer le processus (j'entends le disque dur
et le voyant du dd est allumé) mais finalement gcc n'est pas installé
et l dd ne s'arrête plus...voilà...



Autant choisir le 1 ou le 4 (selon la version de votre kernel), ces
sources sont prévus en 64 bits et avez-vous réellement besoin de la
compilation multimedia ?



J'ai choisi mais cela ne fonctionne j'ai les mêmes symptômes que plus
haut...Je n'ai aucune barre de progression ou pourcentage...bah j'essaie
d'installer amsn-0.95 et il me faut gcc car j'ai les sources et
plusieurs autres logiciels...
Je ne sais pas pourquoi cela ne fonctionne pas...quand je tape:
uname -a
Linux localhost 2.6.12-12mdk #1 Fri Sep 9 17:26:56 CEST 2005 x86_64 AMD Athlon(tm) 64 Processor 3500+ unknown GNU/Linux


donc je vois pas pourquoi il veut changer le kernel...enfin bon je suis
débutant je ne comprends pas...
CoReY
Le #7945691
CoReY a écrit :
Gary a écrit :
CoReY a écrit :
Gary a écrit :
CoReY a écrit :
Bonjour à tous,

Je tente toujours d'installer gcc et je n'y arrive toujours pas !
Je suis débutant sous linux et j'ai quelque peu de mal ! J'ai donc
télécharger le rpm correspondant à ma version à l'adresse suivante
http://rpmfind.net/linux/rpm2html/search.php?query=gcc&submit=Search+...&system=mandriva&arch=x86-64

Et lorsque je tente de l'installer j'obtiens:
/home/andre/Desktop/gcc-3.4.3-7mdk_4.0.1-5mdk.x86_64.delta.rpm:
cannot execute binary file
J'ai cherché sur le net et je n'ai pas trouvé de réponses à mon
interrogation.
Merci pour toutes vos réponses.



Bonjour,

Avez-vous configuré vos média sources d'installation avec easyurpmi ?
http://easyurpmi.zarb.org/?language=fr

La version delta sert à mettre à jour, je crois (uniquement le delta
entre deux versions).

Etant donné que gcc est un compileur très répandu, il devrait être
sur votre cd/dvd d'installation.

En cherchant un petit peu sur le ftp de free, je viens de trouver
cela !
ftp://ftp.free.fr/pub/Distributions_Linux/MandrivaLinux/official/2006.0/x86_64/media/contrib/gcc3.3-3.3.6-2mdk.x86_64.rpm


Ce n'est pas la dernière version mais elle est adaptée au 64 bit =>
allez faire un tour sur easyurpmi et vous aurez presque tout.

Cordialement,
Gary



Bonjour,

Alors j'ai mis mes sources à jour comme vous me l'avez dit et j'ai
tapé: [ ~]# urpmi gcc
Un des paquetages suivants est nécessaire :
1- kernel-source-2.6-2.6.12-22mdk.x86_64 : The source code for the
Linux kernel. (to install)
2- kernel-source-stripped-2.6-2.6.12-22mdk.x86_64 : The source code
of the Linux kernel stripped for post build. (to install)
3- kernel-multimedia-source-2.6.12-12.mm.3mdk.i586 : The source code
for the Linux kernel (to install)
4- kernel-source-2.6.12.23mdk-1-1mdk.x86_64 : The source code for
the Linux kernel. (to install)
5- kernel-source-stripped-2.6.12.23mdk-1-1mdk.x86_64 : The source
code of the Linux kernel stripped for post build. (to install)
Que choisissez-vous ? (1-5)
On m'a conseillé la dernière fois de choisir le 3 mais lorsque je le
choisis mon pc semble démarrer le processus (j'entends le disque dur
et le voyant du dd est allumé) mais finalement gcc n'est pas installé
et l dd ne s'arrête plus...voilà...



Autant choisir le 1 ou le 4 (selon la version de votre kernel), ces
sources sont prévus en 64 bits et avez-vous réellement besoin de la
compilation multimedia ?



J'ai choisi mais cela ne fonctionne j'ai les mêmes symptômes que plus
haut...Je n'ai aucune barre de progression ou pourcentage...bah j'essaie
d'installer amsn-0.95 et il me faut gcc car j'ai les sources et
plusieurs autres logiciels...
Je ne sais pas pourquoi cela ne fonctionne pas...quand je tape:
uname -a
Linux localhost 2.6.12-12mdk #1 Fri Sep 9 17:26:56 CEST 2005 x86_64
AMD Athlon(tm) 64 Processor 3500+ unknown GNU/Linux


donc je vois pas pourquoi il veut changer le kernel...enfin bon je suis
débutant je ne comprends pas...


Personne ne peut m'aider alors s'il vous plaît à résoudre ce
problème...merci !
Gary
Le #7945681
CoReY a écrit :

Personne ne peut m'aider alors s'il vous plaît à résoudre ce
problème...merci !



Pour ma part, je ne peux pas plus t'aider. Je ne possède même pas de
système 64 bits. je te conseille :
- d'aller sur les forums de mandriva
- de poser ta question sur alt.os.linux.mandriva ou
alt.os.linux.mandraka qui sont des forums anglophones (selon ton niveau
d'anglais, sinon google ou un peu moi pouvons t'aider pour les traductions)

++
Gary
CoReY
Le #7945671
Gary a écrit :
CoReY a écrit :

Personne ne peut m'aider alors s'il vous plaît à résoudre ce
problème...merci !



Pour ma part, je ne peux pas plus t'aider. Je ne possède même pas de
système 64 bits. je te conseille :
- d'aller sur les forums de mandriva
- de poser ta question sur alt.os.linux.mandriva ou
alt.os.linux.mandraka qui sont des forums anglophones (selon ton niveau
d'anglais, sinon google ou un peu moi pouvons t'aider pour les traductions)

++
Gary


Merci Gary, je vais essayer...Merci pour ton aide...
geo cherchetout
Le #7945531
Le 21.07.2006 16:04, *CoReY* a écrit fort à propos :

Personne ne peut m'aider alors s'il vous plaît à résoudre ce
problème...merci !



Pas sûr de t'apporter une grande aide, mais il serait bon de faire un
petit inventaire. Donne nous le résultat des commandes suivantes (Pas
besoin d'être root) :
rpm -qa | grep kernel
rpm -q gcc
CoReY
Le #7945411
geo cherchetout a écrit :
Le 21.07.2006 16:04, *CoReY* a écrit fort à propos :

Personne ne peut m'aider alors s'il vous plaît à résoudre ce
problème...merci !



Pas sûr de t'apporter une grande aide, mais il serait bon de faire un
petit inventaire. Donne nous le résultat des commandes suivantes (Pas
besoin d'être root) :
rpm -qa | grep kernel
rpm -q gcc



Merci de ton aide: voilà le résultat
[ ~]$ rpm -qa | grep kernel

kernel-2.6.12.12mdk-1-1mdk
ati-kernel-2.6.12-12mdk-8.16.20-1mdk
kernel-2.6.12.24mdk-1-1mdk
[ ~]$ rpm -q gcc
le paquetage gcc n'est pas installé
geo cherchetout
Le #7945371
Le 31.07.2006 12:10, *CoReY* a écrit fort à propos :

kernel-2.6.12.12mdk-1-1mdk
ati-kernel-2.6.12-12mdk-8.16.20-1mdk
kernel-2.6.12.24mdk-1-1mdk



J'ai oublié de te demander quel kernel tu utilises couramment, mais je
suppose que c'est le 2.6.12.24mdk-1-1mdk. Si ce n'est pas le cas, ce
sera facile à obtenir.
Dans ces conditions, la démarche qui me semble la plus logique serait
d'installer kernel-source-2.6.12.24mdk-1-1mdk, qui est disponible dans
la source updates. Attention, c'est un gros paquet dont le
téléchargement peut durer assez longtemps si tu n'as pas une connexion à
très haut débit. L'installation proprement dite sera plus rapide.
Il devrait pour cela suffire de taper dans konsole, en root, quelque
chose comme, mais je en suis pas sûr de la syntaxe exacte :
urpmi kernel-source-2.6.12.24mdk-1-1mdk
Ou, peut-être plus facile, le choisir et en demander l'installation dans
l'interface graphique rpmdrake.
Si cette étape te pose un problème, dis le, on t'aidera à configurer tes
médias.
Ensuite, je pense qu'un simple urpmi gcc te téléchargera et t'installera
les doigts dans le nez gcc-4.0.1-5mdk qui est la version présente chez moi.
Remarque : Comme tu n'as apparemment rien en x86-64, je pense que ton
paquetage gcc n'était pas le bon choix pour toi. Qu'on me corrige si je
me trompe.

[ ~]$ rpm -q gcc
le paquetage gcc n'est pas installé



OK, je voulais être sûr. ;-)
Poster une réponse
Anonyme